package cn.superdesk.uniorder.dao.mapper.invoice.customer;

import cn.superdesk.uniorder.dao.entity.invoice.customer.InvoiceApply;
import cn.superdesk.uniorder.dao.entity.invoice.customer.InvoiceApplyExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface InvoiceApplyMapper {
    long countByExample(InvoiceApplyExample example);

    int deleteByExample(InvoiceApplyExample example);

    int deleteByPrimaryKey(Long id);

    int insert(InvoiceApply record);

    int insertSelective(InvoiceApply record);

    List<InvoiceApply> selectByExampleWithBLOBs(InvoiceApplyExample example);

    List<InvoiceApply> selectByExample(InvoiceApplyExample example);

    InvoiceApply selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") InvoiceApply record, @Param("example") InvoiceApplyExample example);

    int updateByExampleWithBLOBs(@Param("record") InvoiceApply record, @Param("example") InvoiceApplyExample example);

    int updateByExample(@Param("record") InvoiceApply record, @Param("example") InvoiceApplyExample example);

    int updateByPrimaryKeySelective(InvoiceApply record);

    int updateByPrimaryKeyWithBLOBs(InvoiceApply record);

    int updateByPrimaryKey(InvoiceApply record);
}